Bug 427516 - Writer crashes on printing
Writer crashes on printing
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 06:31 EST by Colin Rosenthal
Modified: 2008-08-26 10:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-26 10:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Rosenthal 2008-01-04 06:31:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
Any attempt to print from OO Writer causes an immediate crash.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.3.0-6.7.fc8-i386

How reproducible:
Always


Steps to Reproduce:
1./usr/bin/ooffice
2.ctrl-P
3. click on "Print"

Actual Results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules//drivers/radeon_drv.so
(II) Loading /usr/lib/xorg/modules//drivers/ati_drv.so
(II) Reloading /usr/lib/xorg/modules//drivers/radeon_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: not GNOME
(IV)   libgcj version is: libgcj-4.1.2-33-i386
(V)    kernel is: Linux 2.6.21-2952.fc8xen #1 SMP Mon Nov 19 07:06:55 EST 2007 i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.7.fc8-i386
(VII)  accessibility is: false
(VIII) fedora release is: Fedora release 8 (Werewolf)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda3             59502460  28838164  28246196  51% /home
/dev/sda1             14873756  10698352   3561080  76% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x018921a9: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x211a9
0x01892c6e: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21c6e
0x00ab3420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x00babc77: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0xe8c77 (JobSetup::SetCupsKey(String const&, String const&) + 0x37f)
0x0102088c: 0x003f9a70: /usr/lib/openoffice.org/program/libsvt680li.so + 0x18788c
0x01017e54: 0x003f9a70: /usr/lib/openoffice.org/program/libsvt680li.so + 0x17ee54
0x05d3df76: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x1ff76 (g_hash_table_foreach + 0x56)
0x02349c11: 0x0043aa78: /usr/lib/libgtk-x11-2.0.so.0 + 0x1dfc11 (gtk_print_settings_foreach + 0x2e)
0x0101d777: 0x003f9a70: /usr/lib/openoffice.org/program/libsvt680li.so + 0x184777 (PrintDialog::Execute() + 0x15c3)
0x01bd8b7d: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x195b7d
0x01bca063: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x187063
0x01bfca2b: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b9a2b
0x01c08f2b: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1c5f2b (SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x9b)
0xa5fe0bd0: 0x00b0d5c4: /usr/lib/openoffice.org/program/libsw680li.so + 0x726bd0 (SwView::ExecutePrint(SfxRequest&) + 0x63e)
0xa5fbcd5f: 0x00b0d5c4: /usr/lib/openoffice.org/program/libsw680li.so + 0x702d5f
0x01bfca2b: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b9a2b
0x01bfb0e8: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b80e8
0x01bfb28c: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b828c
0x01bfb347: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1b8347
0x01add783: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x9a783
0x01c18384: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1d5384
0x01c180ed: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1d50ed
0x01c183aa: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1d53aa
0x01c180c7: 0x003ab978: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1d50c7
0x00b4a173: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x87173
0x00cdab3e: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x217b3e
0x020902c9: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x1f2c9
0x020b8e6a: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x47e6a (SalDisplay::DispatchInternalEvent() + 0x78)
0x03a00679: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x14679
0x03a006a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x146a8
0x05d49541: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x2b541
0x05d4b10c: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x2d10c (g_main_context_dispatch + 0x17c)
0x05d4e54f: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x3054f
0x05d4eab5: 0x000c90c4: /lib/libglib-2.0.so.0 + 0x30ab5 (g_main_context_iteration + 0x65)
0x03a004a8: 0x00058af0: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so + 0x144a8
0x020bf0bd: 0x000826bc: /usr/lib/openoffice.org/program/libvclplug_gen680li.so + 0x4e0bd (X11SalInstance::Yield(bool, bool) + 0x2f)
0x00b523bf: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8f3bf (Application::Yield(bool) + 0x57)
0x00b5247d: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x8f47d (Application::Execute() + 0x2b)
0x0052877b: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x2377b (desktop::Desktop::Main() + 0x15fb)
0x00b56f13: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x93f13
0x00b57029: 0x003ce61c: /usr/lib/openoffice.org/program/libvcl680li.so + 0x94029 (SVMain() + 0x2d)
0x00521dde: 0x0006128c: /usr/lib/openoffice.org/program/libsoffice.so + 0x1cdde (main + 0xe2)
0x00126390: 0x00157d7c: /lib/i686/nosegneg/libc.so.6 + 0x16390 (__libc_start_main + 0xe0)
0x080484c1: 0x000006d8: /usr/lib/openoffice.org/program/soffice.bin + 0x4c1 (main + 0x59)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00ff9000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00110000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x0054e000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005f0000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0060c000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00629000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x007ca000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00edb000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00633000)
	libdl.so.2 => /lib/libdl.so.2 (0x00637000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x0063c000)
	librt.so.1 => /lib/i686/nosegneg/librt.so.1 (0x00641000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x0064a000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00667000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x006a6000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00817000)
	libvclplug_gen680li.so => /usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00f62000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0x00ffa000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0x008e1000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x00bb1000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0x006e6000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0x009e3000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so (0x00c17000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so (0x00d3d000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0x00dbc000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x00781000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0x00a8f000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x67f8a000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x013d0000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x007af000)
	libpthread.so.0 => /lib/i686/nosegneg/libpthread.so.0 (0x00ab5000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x67e84000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x014cc000)
	libm.so.6 => /lib/i686/nosegneg/libm.so.6 (0x00b53000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0080b000)
	libc.so.6 => /lib/i686/nosegneg/libc.so.6 (0x015b7000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x007bf000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x007c2000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00ace000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00b7c000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00e69000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x007c7000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x00e72000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00e7b000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00e82000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00e8c000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x01713000)
	libz.so.1 => /lib/libz.so.1 (0x00ebd000)
	/lib/ld-linux.so.2 (0x80000000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x67dd1000)
	libcap.so.1 => /lib/libcap.so.1 (0x00bab000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x00ed0000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x6c5d6000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0x00feb000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so (0x0179f000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0x0180c000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0x0193b000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3 (0x01971000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0x0197a000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00ff2000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x01999000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x00bae000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x019cb000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x00f5f000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x019e7000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb751a000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x01a08000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x01b3c000)
...end sample ldd details ...


Expected Results:


Additional info:
Removing and reinstalling OO does not seem to help.
Comment 1 Colin Rosenthal 2008-01-04 06:43:06 EST
Rebooting to kernel version 2.6.23.9-85.fc8 did not help.
Comment 2 Caolan McNamara 2008-01-04 07:44:20 EST
Hmm, not getting a crash here and not getting a lot of other reports so maybe
this is a bug triggered by a specific printer model. What's the printer make and
model and I'll setup a fake one here of the same type and see if I can find the
problem. i.e.. system->administration->printing->make and model
Comment 3 Colin Rosenthal 2008-01-04 08:12:18 EST
It's an "HP LaserJet 4300 Series Postscript (recommended)"

I have actually three physical printers installed in addition to "Print to
file". This particular printer is an lpd network printer and I have just noticed
that in the OO print dialogue its status is marked "/usr/lib/cups/backend/lpd
failed". One of the other printers has the same status and clicking on that also
causes OO to crash.

My instinct is that this isn't "really" a printer problem - it must surely be
something to do with how OO interacts with my X setup and the print dialogue is
just a trigger? It doesn't seem right that even a broken printer installation
should cause to OO to die completely.
Comment 4 Colin Rosenthal 2008-01-04 08:20:46 EST
Ok, I went into the CUPS web interface, started the printer and ran off a test
page. The "failed" status message is now gone, but OO still crashes when I click
on "Print".
Comment 5 Caolan McNamara 2008-04-24 06:47:55 EDT
Does the latest update of openoffice.org-2.3.0-6.14.fc8 still crash ?
Comment 6 Caolan McNamara 2008-08-26 10:31:14 EDT
I don't doubt that it crashes, but I'm unable to reproduce it with a fake printer of the same setup locally :-(

Note You need to log in before you can comment on or make changes to this bug.